Subject: Bug (ID Y777J):

From: Finn Hybjerg Hansen <[email-masked]>
Date: Wed, 19 Apr 1995 08:47:31 +0200

Hi Pine Developers & users

I guess Pine first of all is a mail-program, so maybe you do not accept
the following as a bug, but if Pine should be used as a news-tool, support
for the correct news-headers should also be included. 

Our problem is that we want a 'Organization'-header in our news-postings 
with a default value (name of our University). Doing that also makes the 
'Organization'-header occur in normal mails, where the header do not belong.

I therefore suggest, that new versions of Pine will exclude headers in 
normal mails that do not belong there.

If this is already possible, I have not been able to find out how, and 
I'm sorry to have bothered you. I would however like to know if possible  
how it is done, or if pine will support this in the future.

Regards from Finn in Denmark
----------------------------------- ---------------------------------------
Name  : Finn Hybjerg Hansen        | Aalborg University
Email : [email-masked]             | Institute of Electronic Systems
Phone : +45 98 15 85 22            | Department of Communication Technology
Direct: +45 98 15 42 11 - 4807     | Fredrik Bajers Vej 7A    (Room A1-203)
Fax   : +45 98 15 67 40            | DK-9220 Aalborg O.         ,,,
WWW   : http://www-i8.auc.dk/~fhh/ | DENMARK                   (o o)
----------------------------------- ------------------------oOO-(_)-OOo----

========== struct pine * ==========
ui:	login = fhh, full = Finn Hybjerg Hansen
	home = /home/fhh
home_dir=	/home/fhh
hostname=	skoda.kom.auc.dk
localdom=	kom.auc.dk
userdom=	kom.auc.dk
maildom=	kom.auc.dk
cur_cntxt=	*{news.iesd.auc.dk/nntp}[]
cur_fldr=	comp.mail.pine
actual mbox=	*{news.iesd.auc.dk/nntp}comp.mail.pine
msgmap: tot=45, cur=1, del=0, hid=0, exld=0, slct=0, sort=OrderedSubj
actual inbox=	/var/mail/fhh
inbox map: tot=19, cur=19, del=0, hid=0, exld=0, slct=0, sort=OrderedSubj
term type=xterm, ttyname=/dev/pts/4, size=24x80, speed=normal
======= Current_val options set =======
        personal-name : Finn Hybjerg Hansen
              user-id : fhh
          user-domain : kom.auc.dk
          nntp-server : news.iesd.auc.dk
           inbox-path : inbox
   folder-collections : mail/[]
     news-collections : Subscribed-Groups *{news.iesd.auc.dk/nntp}[]
          default-fcc : sentmail.fhh
     postponed-folder : postpone.fhh
       mail-directory : mail
       signature-file : /home/fhh/myfiles/sign1
         address-book : .addressbook
         feature-list : auto-open-next-unread
                      : delete-skips-deleted
                      : enable-aggregate-command-set
                      : enable-bounce-cmd
                      : enable-flag-cmd
                      : enable-full-header-cmd
                      : enable-jump-shortcut
                      : enable-mail-check-cue
                      : enable-suspend
                      : enable-tab-completion
                      : enable-unix-pipe-cmd
                      : expanded-view-of-addressbooks
                      : expunge-without-confirm
                      : include-text-in-reply
                      : quit-without-confirm
                      : save-will-quote-leading-froms
                      : save-will-advance
                      : show-selected-in-boldface
                      : signature-at-bottom
                      : user-lookup-even-if-domain-mismatch
                      : auto-open-next-unread
                      : delete-skips-deleted
                      : enable-aggregate-command-set
                      : enable-bounce-cmd
                      : enable-flag-cmd
                      : enable-full-header-cmd
                      : enable-jump-shortcut
                      : enable-mail-check-cue
                      : enable-suspend
                      : enable-tab-completion
                      : enable-unix-pipe-cmd
                      : expanded-view-of-addressbooks
                      : expunge-without-confirm
                      : quit-without-confirm
                      : save-will-quote-leading-froms
                      : save-will-advance
                      : show-selected-in-boldface
                      : user-lookup-even-if-domain-mismatch
                      : news-post-without-validation
                      : use-current-dir
                      : news-approximates-new-status
                      : enable-alternate-editor-cmd
 initial-keystroke-li : i
 default-composer-hdr : Subject:
                      : Cc:
                      : To:
      customized-hdrs : Organization: Aalborg University IES/KOM
                      : Followup-To:
                      : Approved:
  saved-msg-name-rule : last-folder-used
        fcc-name-rule : default-fcc
             sort-key : OrderedSubj
   addrbook-sort-rule : nickname
        character-set : ISO-8859-1
               editor : mkpgp
 use-only-domain-name : no
              printer : mp -F -l | lp -dlwa1
 personal-print-comma : mp -F -l | lp -dlwa1
     standard-printer : lp
 last-time-prune-ques : 95.4
    last-version-used : 3.91
        bugs-fullname : Pine Developers
         bugs-address : [email-masked]
       elm-style-save : no
      header-in-reply : no
        feature-level : sapling
      old-style-reply : no
       save-by-sender : no
======= Command_line_val options set =======
======= User_val options set (/home/fhh/.pinerc) =======
        personal-name : Finn Hybjerg Hansen
          user-domain : kom.auc.dk
          nntp-server : news.iesd.auc.dk
     news-collections : Subscribed-Groups *{news.iesd.auc.dk/nntp}[]
          default-fcc : sentmail.fhh
     postponed-folder : postpone.fhh
       signature-file : ~/myfiles/sign1
         feature-list : auto-open-next-unread
                      : delete-skips-deleted
                      : enable-aggregate-command-set
                      : enable-bounce-cmd
                      : enable-flag-cmd
                      : enable-full-header-cmd
                      : enable-jump-shortcut
                      : enable-mail-check-cue
                      : enable-suspend
                      : enable-tab-completion
                      : enable-unix-pipe-cmd
                      : expanded-view-of-addressbooks
                      : expunge-without-confirm
                      : quit-without-confirm
                      : save-will-quote-leading-froms
                      : save-will-advance
                      : show-selected-in-boldface
                      : user-lookup-even-if-domain-mismatch
                      : news-post-without-validation
                      : use-current-dir
                      : news-approximates-new-status
                      : enable-alternate-editor-cmd
 initial-keystroke-li : i
 default-composer-hdr : Subject:
                      : Cc:
                      : To:
      customized-hdrs : Organization: Aalborg University IES/KOM
                      : Followup-To:
                      : Approved:
  saved-msg-name-rule : last-folder-used
        fcc-name-rule : default-fcc
             sort-key : OrderedSubj
   addrbook-sort-rule : nickname
        character-set : ISO-8859-1
               editor : mkpgp
              printer : mp -F -l | lp -d$LPDEST
 personal-print-comma : mp -F -l | lp -d$LPDEST
 last-time-prune-ques : 95.4
    last-version-used : 3.91
======= Global_val options set (/pack/pine-3.91/lib/pine.conf) =======
          user-domain : kom.auc.dk
          nntp-server : news.iesd.auc.dk
           inbox-path : inbox
     news-collections : Subscribed-Groups *{news.iesd.auc.dk/nntp}[]
          default-fcc : mbox.out
     postponed-folder : postponed-msgs
       mail-directory : mail
       signature-file : .signature
         address-book : .addressbook
         feature-list : auto-open-next-unread
                      : delete-skips-deleted
                      : enable-aggregate-command-set
                      : enable-bounce-cmd
                      : enable-flag-cmd
                      : enable-full-header-cmd
                      : enable-jump-shortcut
                      : enable-mail-check-cue
                      : enable-suspend
                      : enable-tab-completion
                      : enable-unix-pipe-cmd
                      : expanded-view-of-addressbooks
                      : expunge-without-confirm
                      : include-text-in-reply
                      : quit-without-confirm
                      : save-will-quote-leading-froms
                      : save-will-advance
                      : show-selected-in-boldface
                      : signature-at-bottom
                      : user-lookup-even-if-domain-mismatch
 initial-keystroke-li : i
  saved-msg-name-rule : last-folder-used
        fcc-name-rule : default-fcc
             sort-key : arrival
   addrbook-sort-rule : fullname-with-lists-last
        character-set : ISO-8859-1
 use-only-domain-name : no
              printer : mp -F -l | lp -d$LPDEST
 personal-print-comma : mp -F -l | lp -d$LPDEST
     standard-printer : lp
        bugs-fullname : Pine Developers
         bugs-address : [email-masked]
       elm-style-save : no
      header-in-reply : no
        feature-level : sapling
      old-style-reply : no
       save-by-sender : no
======= Fixed_val options set (NO pine.conf.fixed) =======
========== Feature settings ==========
  no-assume-slow-link
  no-auto-move-read-msgs
     auto-open-next-unread
  no-compose-rejects-unqualified-addrs
  no-compose-sets-newsgroup-without-confirm
     delete-skips-deleted
  no-disable-config-cmd
  no-disable-keyboard-lock-cmd
  no-disable-password-cmd
  no-disable-update-cmd
     enable-aggregate-command-set
     enable-alternate-editor-cmd
  no-enable-alternate-editor-implicitly
     enable-bounce-cmd
     enable-flag-cmd
     enable-full-header-cmd
  no-enable-incoming-folders
     enable-jump-shortcut
     enable-mail-check-cue
     enable-suspend
     enable-tab-completion
     enable-unix-pipe-cmd
     expanded-view-of-addressbooks
  no-expanded-view-of-folders
     expunge-without-confirm
  no-include-attachments-in-reply
  no-include-header-in-reply
     include-text-in-reply
     news-approximates-new-status
     news-post-without-validation
  no-news-read-in-newsrc-order
  no-preserve-start-stop-characters
  no-quell-user-lookup-in-passwd-file
     quit-without-confirm
     save-will-quote-leading-froms
  no-save-will-not-delete
     save-will-advance
  no-select-without-confirm
     show-selected-in-boldface
     signature-at-bottom
     use-current-dir
  no-use-function-keys